Bug 1252423 - HDMI Audio seen as 'unplugged' after resuming from suspend-to-ram
HDMI Audio seen as 'unplugged' after resuming from suspend-to-ram
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 07:24 EDT by Dm3 K
Modified: 2016-07-19 15:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: kernel-4.1.4-200.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ALSA Info when bug occurs (34.74 KB, text/plain)
2015-08-11 07:25 EDT, Dm3 K
no flags Details
ALSA Info when workaround is used (34.79 KB, text/plain)
2015-08-11 07:25 EDT, Dm3 K
no flags Details
List of sinks after resuming (1.95 KB, text/plain)
2015-08-11 07:38 EDT, Dm3 K
no flags Details
pulseaudio -vvvv output (2.14 KB, text/plain)
2015-08-11 07:39 EDT, Dm3 K
no flags Details

  None (edit)
Description Dm3 K 2015-08-11 07:24:41 EDT
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:39.0) Gecko/20100101 Firefox/39.0
Build Identifier: 

On this computer, PA has HDMI Audio as the primary device, output being the monitor's speakers. When resuming from suspend-to-ram, I have no sound because even though the device is initialised, it doesn't detect that the cable is plugged. Applications stream sound to PA, but PA doesn't send it to the device. 

The bug occurs regardless what wakes up first (computer or monitor).

PulseAudio will detect that the cable is plugged if you restart the monitor after you resume.

Reproducible: Always

Steps to Reproduce:
1. Suspend to RAM on a computer with HDMI Audio setup
2. Wake up the computer
3. check pavucontrol
Actual Results:  
pavucontrol will report HDMI cable as unplugged, and it will serve no sound to the device

Expected Results:  
Pulseaudio detects that the cable is indeed plugged, sends audio to device

It seems like this bug showed up after the kernel update to 4.1.3-201, but then I could reproduce it with -200. I couldn't find any other updates that could have affected device initialisation. Because I couldn't pin it down to a kernel version, I suspect that it was incidental. 

Monitor: LG 19LV2500-ZA
Audio Device: 01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde/Pitcairn HDMI Audio [Radeon HD 7700/7800 Series]
Driver: xorg-x11-drv-ati-7.5.0-3
Kernel: 4.1.3-201.fc22.x86_64 and 4.1.3-200.fc22.x86_64
PulseAudio: 6.0-8
Alsa: 1.0.29-1
DE: xfce4

alsa-info.sh output attached, quoting the diffs between not-working (after resuming) and working (after monitor restart). Please ask me for more logs or command outputs, as I couldn't see anything I could recognise as related in xorg and systemctl logs. 


 	control.1 {
 		iface CARD
 		name 'HDMI/DP,pcm=3 Jack'
-		value false
+		value true
 		comment {
 			access read
 			type BOOLEAN
@@ -1109,11 +1109,11 @@
 		iface PCM
 		device 3
 		name ELD
-		value ''
+		value '10000600002000050000000000000000000000000957071507500000'
 		comment {
 			access 'read volatile'
 			type BYTES
-			count 0
+			count 28
 		}
 	}
 	control.7 {
Comment 1 Dm3 K 2015-08-11 07:25:15 EDT
Created attachment 1061450 [details]
ALSA Info when bug occurs
Comment 2 Dm3 K 2015-08-11 07:25:44 EDT
Created attachment 1061451 [details]
ALSA Info when workaround is used
Comment 3 Dm3 K 2015-08-11 07:38:34 EDT
Created attachment 1061453 [details]
List of sinks after resuming

	hdmi-output-0: HDMI / DisplayPort (priority: 5900, not available)
becomes available after workaround is used
Comment 4 Dm3 K 2015-08-11 07:39:43 EDT
Created attachment 1061454 [details]
pulseaudio -vvvv output

does not change before or after workaround
Comment 5 Rex Dieter 2015-08-11 08:47:54 EDT
From your description, it's likely a kernel/driver issue (since badness occured after kernel updates)

reassigning to alsa
Comment 6 Dm3 K 2015-08-13 05:37:52 EDT
Kernel update 4.1.4-200.fc22.x86_64 appears to be fixing this, or at the very least it's no longer always reproducible and I haven't been able to reproduce it after 5 attempts. 

I am not sure how to mark this as FIXED.
Comment 7 Rex Dieter 2015-08-13 08:02:53 EDT
Thanks for the followup
Comment 8 Dm3 K 2015-10-26 11:55:03 EDT
The bug described in the first message reappeared. 

$ uname -r
4.2.3-200.fc22.x86_64


The rest of attached logs and command outputs in the original post still apply.
Comment 9 Fedora End Of Life 2016-07-19 15:55:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.